# address_extraction
Решение на основе natasha для извлечения и разбивки адреса на части

## Установка модулей и окружения для запуска скиптов на Windows через командную строку:

- natasha==1.6.0
- Python==3.11.4
- pip==23.2.1
- argparse==1.4.0


## Скрипт для поиска и извлечения адресов из произвольного текста **address_extraction.py**

### Параметры на вход:

**-in_file "текстовый файл в формате txt"**

**-out_file "файл для сохранения выхода json"**

### Пример запуска через терминал:
    python address_extraction.py -in_file "C:\Users\in_file_2.txt" -out_file "C:\Users\my_list.json"

### На выходе json со списоком найденных адресов:
    ['119435, г. Москва, Малая Пироговская улица, д. 8', '119435, г. Москва, ул Большая Пироговская, дом 123']


## Скрипт для разделения адреса на части **address_separation.py**

### Параметры на вход:

**-in_file "текстовый файл в формате txt"**

**-out_file "файл для сохранения выхода json"**

### Пример запуска через терминал:
    python address_separation.py -in_file "C:\Users\in_file_1.txt" -out_file "C:\Users\my_dict.json"

### На выходе json со словарем:
    {'индекс': '119435', 'город': 'Москва', 'улица': 'Малая Пироговская', 'дом': '8'}


## Примечания:
natasha распознает название адресов написанных только с большой буквы.
    
-  г. Новоалтайск - распознает
-  г. новоалтайск -  **не** распознает
-  г. НОВОАЛТАЙСК - **не** распознает 




