import argparse
from natasha import MorphVocab
from natasha import AddrExtractor
import json
import codecs

morph_vocab = MorphVocab()
addr_extractor = AddrExtractor(morph_vocab)


# Создание парсера
parser = argparse.ArgumentParser(description="extracting address from text")

# Добавление аргументов
parser.add_argument("-str", dest="data_text", required=True, help='строка для работы')

args = parser.parse_args()
data_text = args.data_text

text = data_text

matches = addr_extractor(text)

start = []
stop = []
for match in matches:
    strt =  match.start
    stp =  match.stop
    if not start:
        start.append(strt)
        stop.append(stp)
    if strt - stop[-1] > 10:
        start.append(strt)
        stop.append(stp)
    stop[-1]=stp

addr_list = []
for i in range(len(start)):
    addr_list.append(text[start[i]:stop[i]])

json_string = json.dumps(addr_list)

decode_string = codecs.decode(json_string, 'unicode_escape')
print(decode_string)
