import argparse
from natasha import MorphVocab
from natasha import AddrExtractor
import json
import codecs

morph_vocab = MorphVocab()
addr_extractor = AddrExtractor(morph_vocab)

# Создание парсера
parser = argparse.ArgumentParser(description="separation address from text")

# Добавление аргументов
parser.add_argument("-str", dest="data_text", required=True, help='строка для работы')

args = parser.parse_args()

data_text = args.data_text

text = data_text

matches = addr_extractor(text)
addr_dict = {}
for match in matches:
    addr_dict[match.fact.type] = match.fact.value

json_string = json.dumps(addr_dict)
decode_string = codecs.decode(json_string, 'unicode_escape')

print(decode_string)